﻿.fadeOut {
  opacity: 0;
  visibility: hidden;
}
.fadeOutForever {
  animation: fadeOutForever 99999999s;
}
label[for="player-setting"] {
  display: flex;
  cursor: pointer;
}
input#player-setting:checked ~ * .player-setting {
  max-height: 25em;
  opacity: 1;
  padding: 1em;
}
input#player-setting:not(:checked) ~ * .player-setting {
  max-height: 0;
  opacity: 0;
  padding: 0 1em;
  pointer-events: none;
}
.player-setting {
  transition:
    max-height 1s,
    opacity 1.5s,
    padding-top 1s,
    padding-bottom 1s;
  overflow: auto;
}
.player-setting s {
  display: flex;
  align-items: baseline;
  margin-left: 1em;
  line-height: 200%;
}
.player-setting s u,
.player-setting s i {
  white-space: nowrap;
}
.player-setting .header {
  margin-left: 0;
  align-items: center;
  justify-content: space-between;
}
.player-setting select {
  background-color: rgba(0, 0, 0, 0);
  margin-right: 1em;
}
.player-setting label {
  display: flex;
  align-items: center;
}
.player-setting label:not([for="player-setting"]) {
  padding-right: 2em;
}
.player-setting label input:checked ~ i::before {
  content: "启用中";
}
.player-setting label input:checked ~ span::before {
  background-color: rgba(255, 215, 0, 0.8);
}
.player-setting label input:checked ~ span::after {
  transform: translateY(0.1em);
}
.player-setting label input:not(:checked) ~ i::before {
  content: "未使用";
}
.player-setting label input:not(:checked) ~ span::before {
  background-color: rgba(0, 0, 0, 0.8);
}
.player-setting label input:not(:checked) ~ span::after {
  transform: translateY(0.5em);
}
.icon-switch {
  position: relative;
  width: 1em;
  height: 1em;
  display: inline-block;
}
.icon-switch::before,
.icon-switch::after {
  content: "";
  display: inline-block;
  position: absolute;
  transition: all 0.5s;
}
.icon-switch::before {
  left: 50%;
  width: 0.7em;
  height: 110%;
  border-radius: 0.35em;
}
.icon-switch::after {
  left: calc(50% + 0.1em);
  width: 0.5em;
  height: 0.5em;
  background-color: rgba(255, 255, 255, 0.95);
  border-radius: 100%;
}
.icon-gear {
  display: inline-block;
  min-width: 0.5em;
  min-height: 0.5em;
  position: relative;
  border-radius: 100%;
  border-width: 0.15em;
  border-style: solid;
  border-color: rgba(0, 0, 0, 0);
  margin: 0.25em;
  box-shadow:
    0 0 0 0.12em,
    inset 0 0 0 0.2em;
}
.icon-gear::before,
.icon-gear::after {
  content: "";
  position: absolute;
  width: 0.18em;
  height: 0.18em;
  top: 50%;
  left: 50%;
}
.icon-gear::before {
  transform: translate(-50%, -50%);
  box-shadow:
    0.41em 0,
    -0.41em 0,
    0 0.41em,
    0 -0.41em;
}
.icon-gear::after {
  transform: translate(-50%, -50%) rotate(45deg);
  box-shadow:
    0.42em 0,
    -0.42em 0,
    0 0.42em,
    0 -0.42em;
}
.icon-close {
  display: inline-block;
  position: relative;
  width: 1em;
  height: 1em;
  background-color: #fff;
  border-radius: 50%;
  padding: 0.75em;
}
.icon-close:before,
.icon-close:after {
  position: absolute;
  content: "";
  height: 1em;
  width: 1em;
  background-color: #000;
}
.icon-close:before {
  transform: rotate(45deg) translateX(-70%) translateY(0%) scaleX(0.1);
}
.icon-close:after {
  transform: rotate(-45deg) translateX(0) translateY(-70%) scaleX(0.1);
}
.miniProgramVideoTip {
  display: block;
  outline: 0.8em #000 solid;
  font-size: small;
  line-height: 100%;
  background-color: #000;
  color: #fff;
}
.miniProgramVideoTip button {
  font-size: small;
  font-weight: bold;
  background-color: #3e13af;
  color: #fff;
  margin: 0 0.5em;
}
#vBox {
  background-color: #f5f5f6;
}
#vBox input[type="checkbox"],
#vBox input[type="radio"] {
  display: none;
}
#vInfo {
  padding: 0.5em;
  display: flex;
  line-height: 150%;
  flex-direction: column;
}
#vInfo > *:not(:last-child) {
  margin-bottom: 0.5em;
}
#vInfo *::before,
#vInfo *::after {
  white-space: nowrap;
}
#vInfo h2 {
  line-height: 150%;
  padding: 0.25em 0;
}
#vInfo ul > *:not(:last-child) {
  margin-right: 1.75em;
}
#vInfo ul a {
  white-space: nowrap;
}
#vInfo ul a:empty {
  display: none;
}
#vInfo ul .s::before {
  color: #000;
  content: "日期：";
}
[lang="ENG"] #vInfo ul .s::before {
  content: "Date: ";
}
[lang="ITA"] #vInfo ul .s::before {
  content: "Data: ";
}
[lang="DEU"] #vInfo ul .s::before {
  content: "Datum: ";
}
[lang="JPN"] #vInfo ul .s::before {
  content: "日付: ";
}
[lang="KOR"] #vInfo ul .s::before {
  content: "데이트: ";
}
[lang="FRA"] #vInfo ul .s::before {
  content: "Date: ";
}
#vInfo ul .c::before {
  content: "编号：";
}
[lang="ENG"] #vInfo ul .c::before {
  content: "Code: ";
}
[lang="ITA"] #vInfo ul .c::before {
  content: "Codice: ";
}
[lang="DEU"] #vInfo ul .c::before {
  content: "Code: ";
}
[lang="JPN"] #vInfo ul .c::before {
  content: "番号: ";
}
[lang="KOR"] #vInfo ul .c::before {
  content: "넘버링: ";
}
[lang="FRA"] #vInfo ul .c::before {
  content: "Code: ";
}
#vInfo ul .l::before {
  content: "时长：";
}
[lang="ENG"] #vInfo ul .l::before {
  content: "Length: ";
}
[lang="ITA"] #vInfo ul .l::before {
  content: "Lunghezza: ";
}
[lang="DEU"] #vInfo ul .l::before {
  content: "Länge: ";
}
[lang="JPN"] #vInfo ul .l::before {
  content: "時間: ";
}
[lang="KOR"] #vInfo ul .l::before {
  content: "범위: ";
}
[lang="FRA"] #vInfo ul .l::before {
  content: "Durée: ";
}
#vInfo ul .l::after {
  content: " 分钟";
}
[lang="ENG"] #vInfo ul .l::after {
  content: " minutes";
}
[lang="ITA"] #vInfo ul .l::after {
  content: " minuti";
}
[lang="DEU"] #vInfo ul .l::after {
  content: " protokoll";
}
[lang="JPN"] #vInfo ul .l::after {
  content: " 分";
}
[lang="KOR"] #vInfo ul .l::after {
  content: " 의사록";
}
[lang="FRA"] #vInfo ul .l::after {
  content: " minutes";
}
#vInfo ul .t {
  display: flex;
  flex-wrap: wrap;
  position: relative;
  margin-left: 3em;
}
#vInfo ul .t::before {
  content: "标签：";
  position: absolute;
  left: -3em;
}
#vInfo ol {
  margin-top: auto;
  display: flex;
  flex-wrap: nowrap;
}
#vInfo ol > *:not(:last-child) {
  margin-right: 0.5em;
}
#vInfo ol * {
  white-space: nowrap;
}
#vInfo ol li {
  position: relative;
}
#vInfo ol li > label {
  background-color: #5a38b4;
  color: #fff;
  border-radius: 0.25em;
  padding-left: 2em;
  padding-right: 0.5em;
  font-size: 80%;
  background-repeat: no-repeat;
  background-position: 0.5em 50%;
  background-size: 1.25em;
  line-height: 2em;
  display: block;
}
#vInfo ol li > label * {
  color: #fff;
}
#vInfo ol li > label.vDownload {
  background-image: url("https://esa-static.ziguijia.cn/images/download.svg");
}
#vInfo ol li > label.vShare {
  background-image: url("https://esa-static.ziguijia.cn/images/link.svg");
}
#vInfo ol li > label.vShare textarea {
  position: fixed;
  padding: 0;
  margin: 0;
  right: 0;
  pointer-events: none;
  resize: none;
  height: 1px;
  width: 1px;
  max-width: 1px;
  max-height: 1px;
  opacity: 0;
}
#vInfo ol li > label.vTag {
  background-image: url("https://esa-static.ziguijia.cn/images/tag.svg");
  background-size: 1.1em;
}
#vInfo ol li > label:hover {
  font-weight: bold;
}
#vInfo ol li > label::after {
  content: attr(data-tip);
  position: absolute;
  left: 0;
  top: 80%;
  width: auto;
  opacity: 0;
  border-radius: 0.25em;
  font-size: smaller;
  font-weight: normal;
  padding: 0 0.5em;
  white-space: nowrap;
  color: #000;
  background-color: #e1e2e1;
  transition: all 1s ease;
  pointer-events: none;
}
#vInfo ol input#vDownload:checked ~ *.download-setting {
  top: 2.5em;
}
#vInfo ol input#vDownload:not(:checked) ~ *.download-setting {
  top: 2em;
  opacity: 0;
  pointer-events: none;
}
#vInfo ol input#vDownload:not(:checked) ~ *.download-setting * {
  pointer-events: none;
}
#vInfo ol .actived::after {
  opacity: 1;
  top: 120%;
}
.download-setting {
  position: absolute;
  left: 0;
  transition: all 0.75s;
  overflow: auto;
  height: auto;
  width: auto;
  max-width: calc(100vw - 1em);
  padding: 0.5em 0.5em;
  border-radius: 0.25em;
  z-index: 999;
  font-size: 80%;
  color: #fff;
  background-color: rgba(36, 9, 107, 0.9);
  -webkit-backdrop-filter: blur(3px);
  backdrop-filter: blur(3px);
}
.download-setting s {
  transition: all 0.5s;
}
.download-setting u {
  display: flex;
  flex-wrap: nowrap;
  white-space: nowrap;
  margin-bottom: 0.5em;
  line-height: 200%;
}
.download-setting label {
  color: #fff;
  padding: 0 0.5em;
  border-radius: 0.25em;
  transition: all 0.5s;
  background-color: rgba(255, 255, 255, 0.1);
  border: solid 1px rgba(0, 0, 0, 0);
}
.download-setting label:not(:last-of-type) {
  margin-right: 0.5em;
}
.download-setting label::before {
  content: none;
  display: inline-block;
  width: 1em;
  height: 1em;
  background-image: url("https://esa-static.ziguijia.cn/images/selected.svg");
  background-position: 80% 25%;
  background-size: 1.5em;
  background-repeat: no-repeat;
  transition: all 1s;
}
.download-setting label:hover {
  border: solid 1px #fff;
}
.download-setting .download-setting-video {
  max-height: 0;
  opacity: 0;
  pointer-events: none;
}
.download-setting input#downloadTypeVideo:checked ~ .download-setting-video {
  max-height: 6em;
  opacity: 1;
  pointer-events: all;
}
.download-setting
  input#downloadTypeVideo:checked
  ~ *
  label[for="downloadTypeVideo"] {
  background-color: gold;
  color: #3e13af;
  border: solid 1px rgba(0, 0, 0, 0);
}
.download-setting
  input#downloadTypeVideo:checked
  ~ *
  label[for="downloadTypeVideo"]::before {
  content: "";
}
.download-setting
  input#downloadTypeAudio:checked
  ~ *
  label[for="downloadTypeAudio"] {
  background-color: gold;
  color: #3e13af;
  border: solid 1px rgba(0, 0, 0, 0);
}
.download-setting
  input#downloadTypeAudio:checked
  ~ *
  label[for="downloadTypeAudio"]::before {
  content: "";
}
.download-setting
  input#downloadTypeSubtitle:checked
  ~ *
  label[for="downloadTypeSubtitle"] {
  background-color: gold;
  color: #3e13af;
  border: solid 1px rgba(0, 0, 0, 0);
}
.download-setting
  input#downloadTypeSubtitle:checked
  ~ *
  label[for="downloadTypeSubtitle"]::before {
  content: "";
}
.download-setting
  input#downloadCodecM4V:checked
  ~ *
  label[for="downloadCodecM4V"] {
  background-color: gold;
  color: #3e13af;
  border: solid 1px rgba(0, 0, 0, 0);
}
.download-setting
  input#downloadCodecM4V:checked
  ~ *
  label[for="downloadCodecM4V"]::before {
  content: "";
}
.download-setting
  input#downloadCodecMP4:checked
  ~ *
  label[for="downloadCodecMP4"] {
  background-color: gold;
  color: #3e13af;
  border: solid 1px rgba(0, 0, 0, 0);
}
.download-setting
  input#downloadCodecMP4:checked
  ~ *
  label[for="downloadCodecMP4"]::before {
  content: "";
}
.download-setting select {
  background-color: rgba(0, 0, 0, 0);
  filter: invert(100%);
}
.download-setting label[for="vDownload"] {
  margin-left: 5em;
  padding: 0.25em 0.5em 0.25em 1.5em;
  line-height: 150%;
  color: #fff;
  background-color: rgba(255, 255, 255, 0.1);
  background-image: url("https://esa-static.ziguijia.cn/images/download-simple.svg");
  background-size: 1.25em;
  background-repeat: no-repeat;
  background-position: 0.25em center;
  transition: all 1s;
  border: solid 1px rgba(0, 0, 0, 0);
}
.download-setting label[for="vDownload"]:hover {
  border: solid 1px #fff;
}
.panel-left-top {
  position: absolute;
  left: 1.5%;
  top: 0;
  bottom: 60px;
  width: auto;
  padding-top: 2.25em;
  overflow: hidden;
  pointer-events: none;
  z-index: 999;
}
.panel-left-top * {
  display: block;
  padding: 0.5em;
  margin-bottom: 0.5em;
  color: #fff;
  white-space: nowrap;
  font-size: small;
  border-radius: 5px;
  background-color: rgba(0, 0, 0, 0.3);
  -webkit-backdrop-filter: blur(3px);
  backdrop-filter: blur(3px);
}
.panel-left-top *.timeout {
  transform: translateY(-2.75em);
  opacity: 0;
  transition: all 1s ease-out;
}
.panel-left-top *.timeout ~ * {
  transform: translateY(-2.75em);
  transition: all 1s ease-out;
}
.panel-left-bottom {
  position: absolute;
  left: 1.5%;
  bottom: 4em;
  width: auto;
  overflow: hidden;
  z-index: 999;
}
.panel-left-bottom * {
  display: block;
  padding: 0.5em;
  color: #fff;
  white-space: nowrap;
  font-size: small;
  border-radius: 5px;
  background-color: rgba(0, 0, 0, 0.3);
  -webkit-backdrop-filter: blur(3px);
  backdrop-filter: blur(3px);
  cursor: pointer;
}
.panel-center-top {
  position: absolute;
  top: 5px;
  left: 50%;
  width: auto;
  transform: translateX(-50%);
  padding: 5px 5px;
  display: flex;
  align-items: center;
  border-radius: 5px;
  background-color: rgba(0, 0, 0, 0.3);
  -webkit-backdrop-filter: blur(3px);
  backdrop-filter: blur(3px);
  opacity: 0;
  transition: opacity 0.5s;
}
.panel-center-top label {
  width: auto;
  padding: 5px;
  color: #fff;
  display: flex;
  cursor: pointer;
  opacity: 0.5;
  transition: all 500ms;
}
.panel-center-top label u {
  color: #fff;
}
.panel-center-top label:hover {
  opacity: 1;
  animation: spin 8s linear infinite;
}
.panel-center-center {
  display: flex;
  position: absolute;
  left: 0%;
  top: 0%;
  width: 100%;
  height: 100%;
  transform: scale(0.5);
}
.panel-center-center label {
  display: flex;
  width: 100%;
  height: 60%;
  margin: auto;
  position: relative;
  overflow: hidden;
  align-items: center;
  justify-content: space-around;
}
.panel-center-center label::after {
  content: "";
  position: absolute;
  background-image: linear-gradient(
    90deg,
    black 0%,
    rgba(0, 0, 0, 0) 10%,
    rgba(0, 0, 0, 0) 90%,
    black 100%
  );
  left: 0;
  top: 0;
  height: 100%;
  width: 100%;
}
.panel-center-center input:not(:checked) ~ label {
  background: linear-gradient(
    rgba(255, 215, 0, 0) 47%,
    #ffd700 48%,
    #ffd700 52%,
    rgba(255, 215, 0, 0) 53%
  );
}
.panel-center-center input:not(:checked) ~ label s {
  animation-play-state: paused;
  -webkit-animation-play-state: paused;
  max-height: 10px;
  opacity: 0;
}
.panel-center-center input:not(:checked) ~ label s u {
  animation-play-state: paused;
  padding: 0 100px;
}
.panel-center-center s {
  display: flex;
  flex-wrap: nowrap;
  justify-content: space-around;
  align-items: center;
  width: 100%;
  min-width: 100%;
  max-width: 100%;
  overflow: hidden;
  transition:
    opacity 1s,
    max-height 1s;
  animation: move-left 6s linear infinite;
}
@keyframes move-left {
  0% {
    transform: translateX(0%);
  }
  100% {
    transform: translateX(-100%);
  }
}
.panel-center-center u {
  display: block;
  background: gold;
  height: 100px;
  max-height: 100px;
  padding: 0 2px;
  border-radius: 2px;
  animation: sound 0ms -800ms linear infinite alternate;
  transition: all 1s;
}
@keyframes sound {
  0% {
    opacity: 0.35;
    max-height: 20px;
  }
  100% {
    opacity: 1;
    max-height: 100px;
  }
}
.panel-center-center u:nth-of-type(1) {
  animation-duration: 948ms;
}
.panel-center-center u:nth-of-type(2) {
  animation-duration: 866ms;
}
.panel-center-center u:nth-of-type(3) {
  animation-duration: 814ms;
}
.panel-center-center u:nth-of-type(4) {
  animation-duration: 916ms;
}
.panel-center-center u:nth-of-type(5) {
  animation-duration: 800ms;
}
.panel-center-center u:nth-of-type(6) {
  animation-duration: 854ms;
}
.panel-center-center u:nth-of-type(7) {
  animation-duration: 882ms;
}
.panel-center-center u:nth-of-type(8) {
  animation-duration: 838ms;
}
.panel-center-center u:nth-of-type(9) {
  animation-duration: 974ms;
}
.panel-center-center u:nth-of-type(10) {
  animation-duration: 884ms;
}
.player-inner {
  position: relative;
  display: block;
  background-color: #000;
}
.player-inner:hover .panel-center-top {
  opacity: 1;
  display: flex !important;
  animation: fadeOut 2s ease 3s 1 forwards;
}
video {
  position: absolute;
  bottom: 0;
  width: 100%;
  height: 100%;
}
video ~ .panel-center-center {
  display: none;
  pointer-events: none;
}
audio {
  position: absolute;
  left: 0.5em;
  top: 100%;
  width: calc(100% - 1em);
  height: 1em;
  transform: translateY(-40px);
}
audio::-webkit-media-controls {
  background-color: #fff;
  filter: invert(1);
}
audio::-webkit-media-controls-panel {
  background-color: #fff;
}
audio ~ .panel-center-top {
  opacity: 1;
  display: flex !important;
}
@media (hover: hover) {
  .player-inner:hover .panel-center-top {
    opacity: 1;
    display: flex !important;
    animation: fadeOut 2s ease 3s 1 forwards;
  }
}
@media not screen and (min-width: 799.5px) and (min-aspect-ratio: 1/1) {
  #vBox {
    width: 100vw;
    position: relative;
    left: calc(-50vw + 50%);
  }
  .player-wrapper,
  .player-outer {
    width: 100%;
    max-width: 100vw;
    position: relative;
    overflow: hidden;
  }
  .player-inner {
    padding-top: 56.25%;
  }
}
@media screen and (min-width: 799.5px) and (min-aspect-ratio: 1/1) {
  #vBox {
    display: flex;
    width: 100%;
  }
  #vBox .player-wrapper,
  #vBox .player-outer {
    width: 100%;
    position: relative;
  }
  #vBox .player-setting {
    max-width: 88.8888888889vh;
    margin: 0 auto;
  }
  #vBox .player-inner {
    padding-top: 56.25%;
    padding-top: min(56.25%, 50vh);
  }
  #vBox #vInfo {
    max-width: 35vw;
    max-width: min(18em, 35vw);
  }
}
#vList {
  display: grid;
  grid-gap: 0.5em 5vw;
  justify-content: space-between;
  grid-template-columns: repeat(auto-fill, minmax(18em, 1fr));
}
#vList input {
  display: none;
}
#vList h4 {
  grid-column: 1/-1;
  justify-self: start;
  max-width: calc(100vw - 0.75em);
  overflow-x: auto;
  text-overflow: unset;
}
#vList h4:empty {
  display: none;
}
#vList dt {
  letter-spacing: 0.2em;
}
#vList dd {
  font-size: 80%;
  letter-spacing: 0.05em;
  padding-bottom: 0.25em;
  display: flex;
  align-items: center;
  justify-content: space-between;
  color: #000;
}
#vList dd s {
  position: relative;
  display: flex;
  align-items: center;
}
#vList #date-jumper-dual {
  max-width: calc(100vw - 0.75em);
  border-radius: 0.5em;
}
#vList #date-jumper-dual:hover {
  background-color: #e1e2e1;
}
#vList #date-jumper-dual:hover dt {
  font-weight: bold;
}
#vList #date-jumper-dual input:checked ~ dl dt {
  font-weight: bold;
  color: #fff !important;
}
#vList #date-jumper-dual input:checked ~ dl dd {
  opacity: 0;
}
#vList #date-jumper-dual input[value="shoot"][data-jump="pre"]:checked ~ dl {
  background: linear-gradient(to right, gold 0%, white 100%);
}
#vList
  #date-jumper-dual
  input[value="shoot"][data-jump="pre"]:checked
  ~ dl
  label[for="date-jumper-next"] {
  opacity: 0;
}
#vList #date-jumper-dual input[value="shoot"][data-jump="next"]:checked ~ dl {
  background: linear-gradient(to left, gold 0%, white 100%);
}
#vList
  #date-jumper-dual
  input[value="shoot"][data-jump="next"]:checked
  ~ dl
  label[for="date-jumper-pre"] {
  opacity: 0;
}
#vList #date-jumper-dual dl {
  width: 100%;
  padding: 0.5em;
  border-radius: 0.5em;
  color: #3e13af;
}
#vList #date-jumper-dual dt {
  display: flex;
  flex-direction: row-reverse;
  justify-content: space-between;
}
#vList #date-jumper-dual label[for="date-jumper-pre"] {
  text-align: left;
}
#vList #date-jumper-dual label[for="date-jumper-next"] {
  text-align: right;
}
#vList #date-jumper-dual label:hover {
  color: #fff;
}
#vList label {
  max-width: calc(100vw - 0.75em);
}
#vList label dl {
  width: 100%;
  padding: 0.5em;
  border-radius: 0.5em;
  color: #3e13af;
}
#vList label:hover dl {
  animation: fadeOutBackground 5s;
}
#vList label:hover dt {
  font-weight: bold;
}
#vList label input:checked ~ dl {
  background-color: gold !important;
  animation: none;
}
#vList label input:checked ~ dl dt {
  font-weight: bold;
}
#vList label input:checked ~ dl dt,
#vList label input:checked ~ dl dd {
  color: #fff !important;
}
#vList label input:not(:checked)[data-visited="true"] + dl dt s {
  color: #639 !important;
}
